Edit domain
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/domains/{domainUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/domains/{domainUid}"
payload = { "name": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://cloud.memsource.com/web/api2/v1/domains/{domainUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}Domain
Edit domain
Name must be unique within the organisation if provided. Pass null to leave it unchanged.
PUT
/
api2
/
v1
/
domains
/
{domainUid}
Edit domain
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the domain
Body
application/json
Domain name, max 255 characters. Pass null on edit to leave name unchanged.
Maximum string length:
255Was this page helpful?
⌘I